As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 729853 - Cannot launch pop-up dialog for facebook and browser ID when running app natively
: Cannot launch pop-up dialog for facebook and browser ID when running app nati...
Status: VERIFIED FIXED
[topapps], [marketplace-beta+]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Webapp Runtime (show other bugs)
: unspecified
: All All
: -- critical
: ---
Assigned To: Ed Lee :Mardak
: Jason Smith [:jsmith]
:
Mentors:
: 732628 746229 (view as bug list)
Depends on:
Blocks: 749415
  Show dependency treegraph
 
Reported: 2012-02-22 23:37 PST by Jason Smith [:jsmith]
Modified: 2016-03-21 12:39 PDT (History)
8 users (show)
jsmith: in‑moztrap-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1 (1006 bytes, patch)
2012-04-26 12:08 PDT, Ed Lee :Mardak
myk: review+
Details | Diff | Splinter Review
for checkin (1.07 KB, patch)
2012-04-26 16:36 PDT, Ed Lee :Mardak
no flags Details | Diff | Splinter Review

Description User image Jason Smith [:jsmith] 2012-02-22 23:37:28 PST
Steps:

1. Install the latest build of the extension
2. Go to apps-preview.mozilla.org
3. Install "Forces of War" natively
4. Run Forces of War natively
5. Select the facebook login button to login

Expected:

A pop-up dialog box should appear allowing the user to login via facebook.

Actual:

No pop-up appears.
Comment 1 User image Jason Smith [:jsmith] 2012-03-16 10:58:56 PDT
*** Bug 732628 has been marked as a duplicate of this bug. ***
Comment 2 User image Jason Smith [:jsmith] 2012-04-12 11:26:59 PDT
Confirmed to still be happening from testing the marketplace open web application.
Comment 3 User image Jason Smith [:jsmith] 2012-04-17 17:17:02 PDT
This is definitely a problem with pretty much anything that does integration to external origin. Common use case is anything that has pop-ups, including:

- Persona Integration
- Clicking facebook, google plus like buttons
- JavaScript pop-ups

Moving to critical, given that this greatly causes problems in functionality from a user's perspective, as many applications do use pop-ups.
Comment 4 User image Jason Smith [:jsmith] 2012-04-18 12:36:40 PDT
*** Bug 746229 has been marked as a duplicate of this bug. ***
Comment 5 User image Jennifer Arguello :ticachica 2012-04-18 16:40:29 PDT
I need to know how many apps this will affect. If it's a large number of partner apps then I need to speak with BD to get their take on it.
Comment 6 User image Jason Smith [:jsmith] 2012-04-18 17:21:57 PDT
F
Comment 7 User image Jason Smith [:jsmith] 2012-04-18 17:24:22 PDT
Investigation needed on the following applications:

- Backpack
- Basecamp
- Campfire
- Highrise
- Ta-Da List
- Lord of Ultima
- Soundcloud
- Times Crossword
- Sky Guide
Comment 8 User image Jason Smith [:jsmith] 2012-04-20 11:37:20 PDT
Per a discussion with Kumar, this will prevent in-app payments from working correctly in the desktop WebRT, given that they rely on logging in with browser ID, which uses a pop-up.
Comment 9 User image Jason Smith [:jsmith] 2012-04-20 11:39:28 PDT
Time Crossword also relies on persona integration. Without this fixed, this application has limited functionality. Switching this to block marketplace beta.
Comment 10 User image Jason Smith [:jsmith] 2012-04-20 11:41:18 PDT
This stops account management also from working in Soundcloud.
Comment 11 User image Jason Smith [:jsmith] 2012-04-24 16:13:28 PDT
Jen to follow up with BD on this bug.
Comment 12 User image Justin Scott [:fligtar] 2012-04-25 16:49:16 PDT
From my perspective having looked at around 60 submissions and on the marketplace product side of things:

* I've seen around 10 submissions affected by this, where primary functionality of an app is unusable without Facebook Connect pop-up (many of these are BD-sourced apps)

* one of our important goals for this milestone was getting feedback on in-app purchases. We did a ton of work to hustle and get in-app payments ready for this release, and we're thwarted by the BrowserID pop-up not being able to open.

If this can't be fixed more generically, a temporary solution for FBConnect and BrowserID would solve most of the problems I've run into.
Comment 13 User image Ed Lee :Mardak 2012-04-26 12:08:19 PDT
Created attachment 618751 [details] [diff] [review]
v1

Builds on bug 707836 for controlling navigation and bug 732631 for allowing popups to explicitly allow https://browserid.org navigation in a popup.
Comment 14 User image Jason Smith [:jsmith] 2012-04-26 12:13:40 PDT
(In reply to Edward Lee :Mardak from comment #13)
> Created attachment 618751 [details] [diff] [review]
> v1
> 
> Builds on bug 707836 for controlling navigation and bug 732631 for allowing
> popups to explicitly allow https://browserid.org navigation in a popup.

What about facebook connect? That's very common in web apps, especially top apps. Also, how will we address this in the long run? An app probably should be able to control the "allowed_origins" parameter (bug 741955).
Comment 15 User image Ed Lee :Mardak 2012-04-26 12:35:07 PDT
(In reply to Jason Smith from comment #14)
> how will we address this in the long run?
In the long run, at least for Persona, is to implement navigator.id.. that still doesn't address the issue of facebook connect though.
Comment 16 User image Myk Melez [:myk] [@mykmelez] 2012-04-26 14:52:15 PDT
Comment on attachment 618751 [details] [diff] [review]
v1

r=myk with Facebook Connect's origin added to this list and a bug filed to implement an manifest-specified list of allowed origins!
Comment 17 User image Myk Melez [:myk] [@mykmelez] 2012-04-26 15:08:18 PDT
Comment on attachment 618751 [details] [diff] [review]
v1

Erm, I'm going to make this r+ with conditions noted in comment 16 so you can carry forward review and land the patch with Facebook Connect added to the list.
Comment 18 User image Myk Melez [:myk] [@mykmelez] 2012-04-26 15:11:18 PDT
Erm, and I've gone ahead and filed the followup bug (bug 749415).
Comment 19 User image Ed Lee :Mardak 2012-04-26 16:36:10 PDT
Created attachment 618849 [details] [diff] [review]
for checkin

Explicitly allow Persona https://browserid.org and Facebook Connect https://www.facebook.com for now.
Comment 21 User image :Ms2ger (⌚ UTC+1/+2) 2012-04-27 06:53:47 PDT
https://hg.mozilla.org/mozilla-central/rev/94f63dd34a0d
Comment 22 User image Jason Smith [:jsmith] 2012-04-27 06:59:19 PDT
(In reply to Ms2ger from comment #21)
> https://hg.mozilla.org/mozilla-central/rev/94f63dd34a0d

Is this is really resolved fixed in this case? The fix only addresses pop-ups with facebook and browser ID.
Comment 23 User image :Ms2ger (⌚ UTC+1/+2) 2012-04-27 07:02:36 PDT
If you need the bug to remain open after its patch lands, put "[leave open]" on the whiteboard.
Comment 24 User image Jason Smith [:jsmith] 2012-04-27 07:04:36 PDT
Flagging qawanted to test the two origins added.
Comment 25 User image Ed Lee :Mardak 2012-04-27 08:27:22 PDT
We can close this for now. Myk has already filed a followup bug 749415.
Comment 26 User image Jason Smith [:jsmith] 2012-04-27 08:30:34 PDT
Okay. Updated the bug title, so that the fix reflects the name of the bug for tracking purposes.
Comment 27 User image Jason Smith [:jsmith] 2012-04-30 16:13:55 PDT
Verified for browser ID pop-up.
Comment 28 User image Jason Smith [:jsmith] 2012-04-30 16:24:50 PDT
Verified with facebook login.
Comment 29 User image Jason Smith [:jsmith] 2012-05-02 00:23:12 PDT
Moving this back to resolved fixed. There's a test case in question to reopen this bug, involving the facebook like button:

Example Test Case Steps:

1. Install Sandglaz (https://marketplace-dev.allizom.org/en-US/app/sandglaz-1/)
2. Launch that application
3. Click the facebook like button on the bottom of the application

Expected:

A application pop-up should appear for www.facebook.com login.

Actual:

The default browser starts. Logging in will result in going to page of nothingness, probably cause it's trying to redirect back to the application.

Additional Notes:

Similar issue occurs with google plus +1 button, although it's we don't have that whitelisted yet.
Comment 30 User image Jason Smith [:jsmith] 2012-05-02 00:43:53 PDT
Moving this back to verified per an email from Myk. Will open a separate bug to track the facebook like button and google +1 button issue.

Note You need to log in before you can comment on or make changes to this bug.